Commit 9e7dbce6 authored by Andrey V.Kosteltsev's avatar Andrey V.Kosteltsev

use umask 002 to allow access for group members

git-svn-id: https://svn.radix.pro/svn/build-system/branches/build-system-1.2.x@214 a865b717-3f32-42de-8836-d5b8ef941a95
parent a982845d
......@@ -25,7 +25,7 @@ export DIALOGRC
: ${DIALOG_ITEM_HELP=4}
: ${DIALOG_ESC=255}
umask 022
umask 002
if [ ! -z "$TMPDIR" ] ; then mkdir -p $TMPDIR ; fi
TMP=$(mkdir -p /tmp/radix && mktemp -d -p /tmp/radix build-system.XXXXXXXX) || { echo "Cannot create '/tmp/...' directory" ; exit 92; }
trap "rm -rf $TMP" EXIT
......
......@@ -4,7 +4,7 @@ program=`basename $0`
# EXIT STATUS 92 = Cannot create '/tmp/...' directory
umask 022
umask 002
if [ ! -z "$TMPDIR" ] ; then mkdir -p $TMPDIR ; fi
TMP=$(mkdir -p /tmp/radix && mktemp -d -p /tmp/radix pkgtool.XXXXXXXX) || { echo "Cannot create '/tmp/...' directory" ; exit 92; }
trap "rm -rf $TMP" EXIT
......
......@@ -29,7 +29,7 @@ EXITSTATUS=0
CWD=`pwd`
umask 022
umask 002
if [ ! -z "$TMPDIR" ] ; then mkdir -p $TMPDIR ; fi
TMP=$(mkdir -p /tmp/radix && mktemp -d -p /tmp/radix pkgtool.XXXXXXXX) || { echo "Cannot create '/tmp/...' directory" ; exit 92; }
trap "rm -rf $TMP" EXIT
......
......@@ -36,7 +36,7 @@ CWD=`pwd`
# - If TMPDIR is not set then following command creates /tmp/radix/pkgtool.XXXXXXXX directories;
# - if TMPDIR is defined then following command creates $TMPDIR/pkgtool.XXXXXXXX directories.
#
umask 022
umask 002
if [ ! -z "$TMPDIR" ] ; then mkdir -p $TMPDIR ; fi
TMP=$(mkdir -p /tmp/radix && mktemp -d -p /tmp/radix pkgtool.XXXXXXXX) || { echo "Cannot create '/tmp/...' directory" ; exit 92; }
trap "rm -rf $TMP" EXIT
......
......@@ -15,7 +15,7 @@ EXITSTATUS=0
CWD=`pwd`
umask 022
umask 002
if [ ! -z "$TMPDIR" ] ; then mkdir -p $TMPDIR ; fi
TMP=$(mkdir -p /tmp/radix && mktemp -d -p /tmp/radix pkgtool.XXXXXXXX) || { echo "Cannot create '/tmp/...' directory" ; exit 92; }
trap "rm -rf $TMP" EXIT
......
......@@ -6,7 +6,7 @@ program=`basename $0`
# 92 = Cannot create '/tmp/...' directory
umask 022
umask 002
if [ ! -z "$TMPDIR" ] ; then mkdir -p $TMPDIR ; fi
TMP=$(mkdir -p /tmp/radix && mktemp -d -p /tmp/radix pkgtool.XXXXXXXX) || { echo "Cannot create '/tmp/...' directory" ; exit 92; }
trap "rm -rf $TMP" EXIT
......
......@@ -2,7 +2,7 @@
# EXIT STATUS 92 = Cannot create '/tmp/...' directory
umask 022
umask 002
if [ ! -z "$TMPDIR" ] ; then mkdir -p $TMPDIR ; fi
TMP=$(mkdir -p /tmp/radix && mktemp -d -p /tmp/radix pkgtool.XXXXXXXX) || { echo "Cannot create '/tmp/...' directory" ; exit 92; }
trap "rm -rf $TMP" EXIT
......
......@@ -28,7 +28,7 @@ EXITSTATUS=0
CWD=`pwd`
umask 022
umask 002
if [ ! -z "$TMPDIR" ] ; then mkdir -p $TMPDIR ; fi
TMP=$(mkdir -p /tmp/radix && mktemp -d -p /tmp/radix pkgtool.XXXXXXXX) || { echo "Cannot create '/tmp/...' directory" ; exit 92; }
trap "rm -rf $TMP" EXIT
......
......@@ -30,7 +30,7 @@ EXITSTATUS=0
CWD=`pwd`
umask 022
umask 002
if [ ! -z "$TMPDIR" ] ; then mkdir -p $TMPDIR ; fi
TMP=$(mkdir -p /tmp/radix && mktemp -d -p /tmp/radix pkgtool.XXXXXXXX) || { echo "Cannot create '/tmp/...' directory" ; exit 92; }
trap "rm -rf $TMP" EXIT
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment